#### Linux From Scratch - Version 11.1-rc1

### Chapter 8. Installing Basic System Software

- Prev

  Vim-8.2.4383

- Next

  Man-DB-2.10.1

- Up
- Home

# 8.69. Eudev-3.2.11

The Eudev package contains programs for dynamic creation of device nodes.

Approximate build time: 0.2 SBU
Required disk space: 83 MB

## 8.69.1. Installation of Eudev

Prepare Eudev for compilation:

    ./configure --prefix=/usr           \
                --bindir=/usr/sbin      \
                --sysconfdir=/etc       \
                --enable-manpages       \
                --disable-static

Compile the package:

    make

Create some directories now that are needed for tests, but will also be used as a part of installation:

    mkdir -pv /usr/lib/udev/rules.d
    mkdir -pv /etc/udev/rules.d

To test the results, issue:

    make check

Install the package:

    make install

Install some custom rules and support files useful in an LFS environment:

    tar -xvf ../udev-lfs-20171102.tar.xz
    make -f udev-lfs-20171102/Makefile.lfs install

## 8.69.2. Configuring Eudev

Information about hardware devices is maintained in the `/etc/udev/hwdb.d` and `/usr/lib/udev/hwdb.d` directories. Eudev needs that information to be compiled into a binary database `/etc/udev/hwdb.bin`. Create the initial database:

    udevadm hwdb --update

This command needs to be run each time the hardware information is updated.

## 8.69.3. Contents of Eudev

Installed programs: udevadm and udevd
Installed libraries: libudev.so
Installed directories: /etc/udev, /usr/lib/udev, and /usr/share/doc/udev-udev-lfs-20171102

### Short Descriptions

udevadm | Generic udev administration tool: controls the udevd daemon, provides info from the Udev database, monitors uevents, waits for uevents to finish, tests Udev configuration, and triggers uevents for a given device
udevd | A daemon that listens for uevents on the netlink socket, creates devices and runs the configured external programs in response to these uevents
`libudev` | A library interface to udev device information
`/etc/udev` | Contains Udev configuration files, device permissions, and rules for device naming

- Prev

  Vim-8.2.4383

- Next

  Man-DB-2.10.1

- Up
- Home